# sasdata.dataloader.readers.anton_paar_saxs_reader module

CanSAS 2D data reader for reading HDF5 formatted CanSAS files.

class sasdata.dataloader.readers.anton_paar_saxs_reader.Reader(xml=None, schema=None)

  Bases: `XMLreader`

  A class for reading in Anton Paar .pdh files

  allow_all = False
  errors = None
  ext = ['.pdh', '.PDH']
  get_file_contents()

    This is the general read method that all SasView data_loaders must have.

    Parameters:

      filename – A path for an XML formatted Anton Paar SAXSess data file.

    Returns:

      List of Data1D objects or a list of errors.

  logging = None
  parent_list = None
  raw_data = None
  read_data()
  reset_state()

    Resets the class state to a base case when loading a new data file so previous data files do not appear a second time

  type = ['Anton Paar SAXSess Files (*.pdh)|*.pdh']
  type_name = 'Anton Paar SAXSess'